package com.eactive.eai.rms.data.entity.onl.authserver;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.eactive.eai.data.entity.onl.authserver.QScopeEntity;
import com.eactive.eai.data.entity.onl.authserver.ScopeEntity;
import com.eactive.eai.data.entity.onl.authserver.ScopeEntityId;
import com.eactive.eai.data.jpa.AbstractDataService;

@Service
@Transactional
public class ScopeEntityService extends AbstractDataService<ScopeEntity, ScopeEntityId, ScopeEntityEMSRepository> {

	public void deleteByIdScopeId(String scopeId) {
		getJPAQueryFactory().delete(QScopeEntity.scopeEntity)
									 .where(QScopeEntity.scopeEntity.id.scopeid.eq(scopeId))
									 .execute();
	}

}
